Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam
Class Seam

    java.lang.Object
      org.jboss.seam.Seam

    public class Seam

extends Object

Convenience methods for accessing annotated information about Seam component classes.

Author:
  Gavin King

Field Summary
`static String` | `VERSION`

Constructor Summary
`Seam()`

Method Summary
`static void` | `clearComponentNameCache()`
`static Component` | `componentForName(String name)` Get the Seam component, even if no application context is associated with the current thread.
`static String` | `getComponentName(Class<?> clazz)` Get the component name
`static ScopeType` | `getComponentRoleScope(Class clazz, Role role)` Get the scope for a role
`static ScopeType` | `getComponentScope(Class<?> clazz)` Get the default scope
`static ComponentType` | `getComponentType(Class<?> clazz)` Get the component type
`static EjbDescriptor` | `getEjbDescriptor(Class clazz)`
`static String` | `getEjbName(Class<?> clazz)`
`static Class` | `getEntityClass(Class clazz)` Get the bean class from a container-generated proxy class
`static String` | `getVersion()`
`static void` | `invalidateSession()` Deprecated. use Session.instance().invalidate()
`static boolean` | `isEntityClass(Class<?> clazz)` Is the class a container-generated proxy class for an entity bean?
`static boolean` | `isInterceptionEnabled(Class<?> clazz)`
`static boolean` | `isSessionInvalid()` Deprecated. use Session.instance().isInvalidated()
`static String` | `searchComponentName(Class<?> clazz)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION

    public static final String VERSION

See Also:
  Constant Field Values

Constructor Detail

### Seam

    public Seam()

Method Detail

### getEjbDescriptor

    public static EjbDescriptor getEjbDescriptor(Class clazz)

### getComponentScope

    public static ScopeType getComponentScope(Class<?> clazz)

  Get the default scope

  See Also:
    `Scope`

### getComponentRoleScope

    public static ScopeType getComponentRoleScope(Class clazz,
                                                  Role role)

  Get the scope for a role

  See Also:
    `Scope`

### getComponentType

    public static ComponentType getComponentType(Class<?> clazz)

  Get the component type

### getComponentName

    public static String getComponentName(Class<?> clazz)

  Get the component name

  See Also:
    `Name`

### searchComponentName

    public static String searchComponentName(Class<?> clazz)

### getEntityClass

    public static Class getEntityClass(Class clazz)

  Get the bean class from a container-generated proxy class

### isEntityClass

    public static boolean isEntityClass(Class<?> clazz)

  Is the class a container-generated proxy class for an entity bean?

### getEjbName

    public static String getEjbName(Class<?> clazz)

### isInterceptionEnabled

    public static boolean isInterceptionEnabled(Class<?> clazz)

### invalidateSession

    public static void invalidateSession()

  Deprecated. use Session.instance().invalidate()

  Mark the session for invalidation at the end of the request cycle

### isSessionInvalid

    public static boolean isSessionInvalid()

  Deprecated. use Session.instance().isInvalidated()

  Is the session marked for invalidation?

### componentForName

    public static Component componentForName(String name)

  Get the Seam component, even if no application context is associated with the current thread.

### getVersion

    public static String getVersion()

### clearComponentNameCache

    public static void clearComponentNameCache()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.